Subject: muttprint doesn't work with CUPS as stated in the manual

From: Andreas Pakulat <[email-masked]>
Date: Tue, 03 Oct 2006 11:08:50 +0200

Package: muttprint
Version: 0.72d-8
Severity: important

Hi,

according to the manual it should be Ok to set PRINT_COMMAND to "CUPS"
and muttprint will then properly use cups-commands to print. This is
wrong, when set to CUPS it uses lpr -P <printer> -o <options>, which
doesn't work. The "lpr" is wrong and the switch for specifying the
printer is -d not -P.

Andreas

-- System Information:
Debian Release: testing/unstable
  APT prefers unstable
  APT policy: (990, 'unstable'), (500, 'experimental'), (500, 'testing'), (500, 'stable')
Architecture: i386 (i686)
Shell:  /bin/sh linked to /bin/bash
Kernel: Linux 2.6.18
Locale: LANG=de_DE.UTF-8, LC_CTYPE=de_DE.UTF-8 (charmap=UTF-8)

Versions of packages muttprint depends on:
ii  debconf [debconf-2.0]      1.5.5         Debian configuration management sy
ii  libtext-iconv-perl         1.4-3         converts between character sets in
ii  perl                       5.8.8-6.1     Larry Wall's Practical Extraction 
ii  texlive-fonts-recommended  2005.dfsg.1-1 TeX Live: Recommended fonts
ii  texlive-latex-extra        2005.dfsg.1-1 TeX Live: LaTeX supplementary pack
ii  texlive-latex-recommended  2005.dfsg.1-1 TeX Live: LaTeX recommended packag

Versions of packages muttprint recommends:
ii  emacs-snapshot-gtk [mail- 1:20060923-1   The GNU Emacs editor (with GTK+ 2.
ii  kmail [mail-reader]       4:3.5.4-1+b1   KDE Email client
ii  mutt [mail-reader]        1.5.13-1       text-based mailreader supporting M
ii  mutt-ng [mutt]            0.0+20060429-2 text-based mailreader supporting M
ii  thunderbird [mail-reader] 1.5.0.7-2      standalone mail client based on mo

-- debconf information:
  muttprint/moved_pics:
  muttprint/utf8: